from intermine.webservice import Service
TOKEN = 't1839bA4Tcw5s7V7Uei1'
src = "example-gene-ids.txt"

def connect():
    return Service("www.flymine.org/query/service", token = TOKEN)

def check_intersections():
    service = connect()
    genes = service.create_list(src, list_type = "Gene")
    for l in service.get_all_lists():
        if l != genes and l.list_type == genes.list_type and l.status == 'CURRENT':
            shared = l & genes
            if shared.size:
                print "%s shares %d genes with %s" % (genes.name, shared.size, l.name)
            else:
                print "No intersection with", l.name
            shared.delete()
    genes.delete()

if __name__ == '__main__':
    check_intersections()

