def resolve_gene_ids(service, organism, ids):
    job = service.resolve_ids('Gene', ids, extra = organism)
    while not job.poll():
        pass
    try:
        if job.status == 'ERROR':
            raise Exception("Job failed")
        return job.fetch_results()
    finally:
        job.delete()

